Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Juanma Barranquero <[email-masked]>
Date: Fri, 13 Jan 2012 16:17:46 +0100

On Fri, Jan 13, 2012 at 16:13, Stefan Monnier <[email-masked]> wrote:

> BTW, a reliable test of file name equality is far from obvious.

That is true, but it's also likely true* that simple, and file-name
comparisons are used in the Emacs sources. So perhaps we should limit
file-name-equal-p to local files, and assume that there's no reliable
way to compare them if the files are remote.

[* I haven't checked, but I would be surprised it they were none.]

    Juanma